Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfPresetClassType

    java.lang.Object
      java.lang.Enum<OdfPresetClassType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfPresetClassType

All Implemented Interfaces:
  Serializable, Comparable<OdfPresetClassType>

    public enum OdfPresetClassType

extends Enum<OdfPresetClassType>

DOM implementation of OpenDocument attribute presentation:preset-class.

Enum Constant Summary
`CUSTOM`
`EMPHASIS`
`ENTRANCE`
`EXIT`
`MEDIA_CALL`
`MOTION_PATH`
`OLE_ACTION`

Method Summary
`static OdfPresetClassType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfPresetClassType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfPresetClassType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPresetClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CUSTOM

    public static final OdfPresetClassType CUSTOM

### EXIT

    public static final OdfPresetClassType EXIT

### ENTRANCE

    public static final OdfPresetClassType ENTRANCE

### EMPHASIS

    public static final OdfPresetClassType EMPHASIS

### MOTION_PATH

    public static final OdfPresetClassType MOTION_PATH

### MEDIA_CALL

    public static final OdfPresetClassType MEDIA_CALL

### OLE_ACTION

    public static final OdfPresetClassType OLE_ACTION

Method Detail

### values

    public static OdfPresetClassType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPresetClassType c : OdfPresetClassType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPresetClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfPresetClassType>`
  Returns:
    return the name of OdfPresetClassType

### toString

    public static String toString(OdfPresetClassType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfPresetClassType, see presentation:preset-class
  Returns:
    return the name of OdfPresetClassType

### enumValueOf

    public static OdfPresetClassType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfPresetClassType
  Returns:
    return the constant of OdfPresetClassType, see presentation:preset-class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.